﻿using System.Drawing;

using DevExpress.XtraEditors;
using DevExpress.XtraGauges.Core.Model;
using DevExpress.XtraGauges.Win;
using DevExpress.XtraGauges.Win.Gauges.State;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            #region 게이지 컨트롤을 설정한다.

            GaugeControl gaugeControl = new GaugeControl();

            gaugeControl.Parent   = this;
            gaugeControl.Location = new Point(50, 50);
            gaugeControl.Size     = new Size(250, 250);

            #endregion
            #region 상태 지시자 게이지를 설정한다.

            StateIndicatorGauge stateIndicatorGauge = gaugeControl.AddStateIndicatorGauge();

            #endregion
            #region 상태 지시자 컴포넌트를 설정한다.

            StateIndicatorComponent stateIndicatorComponent = stateIndicatorGauge.AddIndicator();

            stateIndicatorComponent.Size = new SizeF(100, 200);

            StateIndicatorShapeType[] stateIndicatorShapeTypeArray = new StateIndicatorShapeType[]
            {
                StateIndicatorShapeType.TrafficLight1,
                StateIndicatorShapeType.TrafficLight2,
                StateIndicatorShapeType.TrafficLight3,
                StateIndicatorShapeType.TrafficLight4
            };

            stateIndicatorComponent.States.Clear();

            foreach(StateIndicatorShapeType stateIndicatorShapeType in stateIndicatorShapeTypeArray)
            {
                IndicatorState indicatorState = new IndicatorState();

                indicatorState.ShapeType = stateIndicatorShapeType;

                stateIndicatorComponent.States.Add(indicatorState);
            }

            stateIndicatorComponent.StateIndex = 1;

            #endregion
        }

        #endregion
    }
}